Package com.databend.jdbc

# Class JdbcWrapper

java.lang.Object
com.databend.jdbc.JdbcWrapper

Direct Known Subclasses:
  `DatabendParameterMetaData`

public abstract class JdbcWrapper extends Object

## Constructor Summary

Constructors
Constructor
Description
`JdbcWrapper()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isWrapperFor(Class<?> iface)`
`static SQLFeatureNotSupportedException`
`unsupportedError(String message)`
`<T> T`
`unwrap(Class<T> iface)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JdbcWrapper

public JdbcWrapper()

## Method Details

### unwrap

public <T> T unwrap(Class<T> iface) throws SQLException

Throws:
  `SQLException`

### isWrapperFor

public boolean isWrapperFor(Class<?> iface) throws SQLException

Throws:
  `SQLException`

### unsupportedError

public static SQLFeatureNotSupportedException unsupportedError(String message)